OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs | Enumerations | Variables
story_base.h File Reference

StoryPage base class. More...

`#include "company_type.h"`
`#include "story_type.h"`
`#include "date_type.h"`
`#include "core/pool_type.hpp"`

Go to the source code of this file.

## Data Structures
struct | EnumPropsT< StoryPageElementType >
| Define basic enum properties. More...
struct | StoryPageElement
| Struct about story page elements. More...
struct | StoryPage
| Struct about stories, current and completed. More...

## Macros
#define | FOR_ALL_STORY_PAGE_ELEMENTS_FROM(var, start) FOR_ALL_ITEMS_FROM(StoryPageElement, story_page_element_index, var, start)
#define | FOR_ALL_STORY_PAGE_ELEMENTS(var) FOR_ALL_STORY_PAGE_ELEMENTS_FROM(var, 0)
#define | FOR_ALL_STORY_PAGES_FROM(var, start) FOR_ALL_ITEMS_FROM(StoryPage, story_page_index, var, start)
#define | FOR_ALL_STORY_PAGES(var) FOR_ALL_STORY_PAGES_FROM(var, 0)

## Typedefs
typedef Pool< StoryPageElement, StoryPageElementID, 64, 64000 > | StoryPageElementPool
typedef Pool< StoryPage, StoryPageID, 64, 64000 > | StoryPagePool
typedef TinyEnumT < StoryPageElementType > | StoryPageElementTypeByte
| typedefing-enumification of Direction

## Enumerations
enum | StoryPageElementType { SPET_TEXT = 0, SPET_LOCATION, SPET_GOAL, SPET_END, INVALID_SPET = 0xFF }

## Variables
StoryPageElementPool | _story_page_element_pool
StoryPagePool | _story_page_pool
uint32 | _story_page_element_next_sort_value
uint32 | _story_page_next_sort_value

## Detailed Description

StoryPage base class.

Definition in file story_base.h.

## Enumeration Type Documentation

enum StoryPageElementType

Enumerator:

  SPET_TEXT | A text element.
  SPET_LOCATION | An element that references a tile along with a one-line text.
  SPET_GOAL | An element that references a goal.

Definition at line 30 of file story_base.h.